GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/hppa-nbsd-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "regcache.h"`
`#include "regset.h"`
`#include "trad-frame.h"`
`#include "tramp-frame.h"`
`#include "hppa-tdep.h"`
`#include "hppa-bsd-tdep.h"`

Go to the source code of this file.

## Macros
#define | HPPANBSD_SIZEOF_GREGS (44 * 4)

## Functions
static void | hppanbsd_sigtramp_cache_init (const struct tramp_frame *, struct frame_info *, struct trad_frame_cache *, CORE_ADDR)
static void | hppanbsd_supply_gregset (const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
static void | hppanbsd_iterate_over_regset_sections (struct gdbarch *gdbarch, iterate_over_regset_sections_cb *cb, void *cb_data, const struct regcache *regcache)
static void | hppanbsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_hppanbsd_tdep (void)

## Variables
static int | hppanbsd_mc_reg_offset []
static const struct tramp_frame | hppanbsd_sigtramp_si4
static int | hppanbsd_reg_offset []
static const struct regset | hppanbsd_gregset

## Macro Definition Documentation

## ◆ HPPANBSD_SIZEOF_GREGS

#define HPPANBSD_SIZEOF_GREGS (44 * 4)

Definition at line 131 of file hppa-nbsd-tdep.c.

Referenced by hppanbsd_iterate_over_regset_sections(), and hppanbsd_supply_gregset().

## Function Documentation

## ◆ _initialize_hppanbsd_tdep()

void _initialize_hppanbsd_tdep | ( | void |  | ) |

Definition at line 210 of file hppa-nbsd-tdep.c.

References GDB_OSABI_NETBSD, gdbarch_register_osabi(), and hppanbsd_init_abi().

## ◆ hppanbsd_init_abi()

static void hppanbsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 197 of file hppa-nbsd-tdep.c.

References hppabsd_init_abi(), hppanbsd_iterate_over_regset_sections(), hppanbsd_sigtramp_si4, set_gdbarch_iterate_over_regset_sections(), and tramp_frame_prepend_unwinder().

Referenced by _initialize_hppanbsd_tdep().

## ◆ hppanbsd_iterate_over_regset_sections()

static void hppanbsd_iterate_over_regset_sections | ( | struct gdbarch * | gdbarch,
|  | iterate_over_regset_sections_cb * | cb,
|  | void * | cb_data,
|  | const struct regcache * | regcache
| ) |  |
| static

Definition at line 188 of file hppa-nbsd-tdep.c.

References hppanbsd_gregset, and HPPANBSD_SIZEOF_GREGS.

Referenced by hppanbsd_init_abi().

## ◆ hppanbsd_sigtramp_cache_init()

static void hppanbsd_sigtramp_cache_init | ( | const struct tramp_frame * | self,
|  | struct frame_info * | this_frame,
|  | struct trad_frame_cache * | this_cache,
|  | CORE_ADDR | func
| ) |  |
| static

Definition at line 99 of file hppa-nbsd-tdep.c.

References frame_id_build(), func, get_frame_register_unsigned(), HPPA_SP_REGNUM, hppanbsd_mc_reg_offset, reg_offset, trad_frame_set_id(), and trad_frame_set_reg_addr().

## ◆ hppanbsd_supply_gregset()

static void hppanbsd_supply_gregset | ( | const struct regset * | regset,
|  | struct regcache * | regcache,
|  | int | regnum,
|  | const void * | gregs,
|  | size_t | len
| ) |  |
| static

Definition at line 162 of file hppa-nbsd-tdep.c.

References gdb_assert, hppanbsd_reg_offset, HPPANBSD_SIZEOF_GREGS, regcache_raw_supply(), and regnum.

## Variable Documentation

## ◆ hppanbsd_gregset

const struct regset hppanbsd_gregset
| static

Initial value:
=
{
NULL,
hppanbsd_supply_gregset
}
hppanbsd_supply_gregset
static void hppanbsd_supply_gregset(const struct regset *regset, struct regcache *regcache, int regnum, const void *gregs, size_t len)
Definition: hppa-nbsd-tdep.c:162

Definition at line 179 of file hppa-nbsd-tdep.c.

Referenced by hppanbsd_iterate_over_regset_sections().

## ◆ hppanbsd_mc_reg_offset

int hppanbsd_mc_reg_offset[]
| static

Definition at line 32 of file hppa-nbsd-tdep.c.

Referenced by hppanbsd_sigtramp_cache_init().

## ◆ hppanbsd_reg_offset

int hppanbsd_reg_offset[]
| static

Initial value:
=
{
-1, 1 * 4, 2 * 4, 3 * 4,
4 * 4, 5 * 4, 6 * 4, 7 * 4,
8 * 4, 9 * 4, 10 * 4, 11 * 4,
12 * 4, 13 * 4, 14 * 4, 15 * 4,
16 * 4, 17 * 4, 18 * 4, 19 * 4,
20 * 4, 21 * 4, 22 * 4, 23 * 4,
24 * 4, 25 * 4, 26 * 4, 27 * 4,
28 * 4, 29 * 4, 30 * 4, 31 * 4,
32 * 4,
35 * 4,
33 * 4,
36 * 4,
34 * 4,
-1,
-1,
-1,
-1,
0 * 4,
}

Definition at line 133 of file hppa-nbsd-tdep.c.

Referenced by hppanbsd_supply_gregset().

## ◆ hppanbsd_sigtramp_si4

const struct tramp_frame hppanbsd_sigtramp_si4
| static

Initial value:
=
{
SIGTRAMP_FRAME,
4,
{
{ 0xc7d7c012, -1 },
{ 0xd6e01c1e, -1 },
{ 0x0ee81093, -1 },
{ 0x0ee01097, -1 },
{ 0xe8404000, -1 },
{ 0xeae0c002, -1 },
{ 0x08000240, -1 },
{ 0x0803025a, -1 },
{ 0x20200801, -1 },
{ 0xe420e008, -1 },
{ 0x34160268, -1 },
{ 0x081c025a, -1 },
{ 0x20200801, -1 },
{ 0xe420e008, -1 },
{ 0x34160002, -1 },
{ TRAMP_SENTINEL_INSN, -1 }
},
hppanbsd_sigtramp_cache_init
}
TRAMP_SENTINEL_INSN
#define TRAMP_SENTINEL_INSN
Definition: tramp-frame.h:44
SIGTRAMP_FRAME
Definition: frame.h:255
hppanbsd_sigtramp_cache_init
static void hppanbsd_sigtramp_cache_init(const struct tramp_frame *, struct frame_info *, struct trad_frame_cache *, CORE_ADDR)
Definition: hppa-nbsd-tdep.c:99

Definition at line 69 of file hppa-nbsd-tdep.c.

Referenced by hppanbsd_init_abi().